export declare type LogFunction = (message: any, ...args: any[]) => void;
export interface LogFunctions {
    debug: LogFunction;
    info: LogFunction;
    log: LogFunction;
    warn: LogFunction;
    error: LogFunction;
}
declare const Logger: LogFunctions;
export declare function setLogger(logging: LogFunctions): void;
export default Logger;
