"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
let _logger = console;
const Logger = {
    debug(message, ...args) {
        _logger.debug(message, ...args);
    },
    info(message, ...args) {
        _logger.info(message, ...args);
    },
    log(message, ...args) {
        _logger.log(message, ...args);
    },
    warn(message, ...args) {
        _logger.warn(message, ...args);
    },
    error(message, ...args) {
        _logger.error(message, ...args);
    },
};
function setLogger(logging) {
    _logger = logging || console;
}
exports.setLogger = setLogger;
exports.default = Logger;
